Libical API Documentation 3.0

Macros | Functions
icalvalue.h File Reference

Go to the source code of this file.

## Macros
#define | ICAL_BOOLEAN_FALSE 0
#define | ICAL_BOOLEAN_TRUE 1

## Functions
const char * | icalvalue_as_ical_string (const icalvalue *value)
char * | icalvalue_as_ical_string_r (const icalvalue *value)
icalparameter_xliccomparetype | icalvalue_compare (const icalvalue *a, const icalvalue *b)
int | icalvalue_decode_ical_string (const char *szText, char *szDecText, int nMaxBufferLen)
int | icalvalue_encode_ical_string (const char *szText, char *szEncText, int MaxBufferLen)
void | icalvalue_free (icalvalue *value)
int | icalvalue_is_valid (const icalvalue *value)
icalvalue_kind | icalvalue_isa (const icalvalue *value)
int | icalvalue_isa_value (void *)
int | icalvalue_kind_is_valid (const icalvalue_kind kind)
const char * | icalvalue_kind_to_string (const icalvalue_kind kind)
icalvalue * | icalvalue_new (icalvalue_kind kind)
icalvalue * | icalvalue_new_clone (const icalvalue *value)
icalvalue * | icalvalue_new_from_string (icalvalue_kind kind, const char *str)
icalvalue_kind | icalvalue_string_to_kind (const char *str)

## Function Documentation

## ◆ icalvalue_decode_ical_string()

int icalvalue_decode_ical_string | ( | const char * | szText,
|  | char * | szDecText,
|  | int | nMaxBufferLen
| ) |  |

Extract the original character string encoded by the above function

## ◆ icalvalue_encode_ical_string()

int icalvalue_encode_ical_string | ( | const char * | szText,
|  | char * | szEncText,
|  | int | MaxBufferLen
| ) |  |

Encode a character string in ical format, esacpe certain characters, etc.

## ◆ icalvalue_kind_is_valid()

int icalvalue_kind_is_valid | ( | const icalvalue_kind | kind | ) |

Check validity of a specific icalvalue_kind